netcdf_f.h File Reference
`#include <netcdf.h>`
Include dependency graph for netcdf_f.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

EXTERNL int | nc_inq_var_chunking_ints (int ncid, int varid, int *contiguousp, int *chunksizesp)
EXTERNL int | nc_def_var_chunking_ints (int ncid, int varid, int contiguous, int *chunksizesp)
EXTERNL int | nc_open_par_fortran (const char *path, int mode, int comm, int info, int *ncidp)
EXTERNL int | nc_create_par_fortran (const char *path, int cmode, int comm, int info, int *ncidp)
EXTERNL int | nc_set_chunk_cache_ints (int size, int nelems, int preemption)
EXTERNL int | nc_get_chunk_cache_ints (int *sizep, int *nelemsp, int *preemptionp)
EXTERNL int | nc_set_var_chunk_cache_ints (int ncid, int varid, int size, int nelems, int preemption)
EXTERNL int | nc_get_var_chunk_cache_ints (int ncid, int varid, int *sizep, int *nelemsp, int *preemptionp)
EXTERNL int | nc_inq_varids_f (int ncid, int *nvars, int *fvarids)
EXTERNL int | nc_inq_dimids_f (int ncid, int *ndims, int *fdimids, int parent)
EXTERNL int | nc_insert_array_compound_f (int ncid, int typeid, char *name, size_t offset, nc_type field_typeid, int ndims, int *dim_sizesp)
EXTERNL int | nc_inq_compound_field_f (int ncid, nc_type xtype, int fieldid, char *name, size_t *offsetp, nc_type *field_typeidp, int *ndimsp, int *dim_sizesp)

## Function Documentation

## nc_create_par_fortran()

EXTERNL int nc_create_par_fortran | ( | const char * | path,
|  | int | cmode,
|  | int | comm,
|  | int | info,
|  | int * | ncidp
| ) |  |

## nc_def_var_chunking_ints()

EXTERNL int nc_def_var_chunking_ints | ( | int | ncid,
|  | int | varid,
|  | int | contiguous,
|  | int * | chunksizesp
| ) |  |

## nc_get_chunk_cache_ints()

EXTERNL int nc_get_chunk_cache_ints | ( | int * | sizep,
|  | int * | nelemsp,
|  | int * | preemptionp
| ) |  |

## nc_get_var_chunk_cache_ints()

EXTERNL int nc_get_var_chunk_cache_ints | ( | int | ncid,
|  | int | varid,
|  | int * | sizep,
|  | int * | nelemsp,
|  | int * | preemptionp
| ) |  |

## nc_inq_compound_field_f()

EXTERNL int nc_inq_compound_field_f | ( | int | ncid,
|  | nc_type | xtype,
|  | int | fieldid,
|  | char * | name,
|  | size_t * | offsetp,
|  | nc_type * | field_typeidp,
|  | int * | ndimsp,
|  | int * | dim_sizesp
| ) |  |

Definition at line 244 of file fort-lib.c.

## nc_inq_dimids_f()

EXTERNL int nc_inq_dimids_f | ( | int | ncid,
|  | int * | ndims,
|  | int * | fdimids,
|  | int | parent
| ) |  |

Definition at line 188 of file fort-lib.c.

## nc_inq_var_chunking_ints()

EXTERNL int nc_inq_var_chunking_ints | ( | int | ncid,
|  | int | varid,
|  | int * | contiguousp,
|  | int * | chunksizesp
| ) |  |

## nc_inq_varids_f()

EXTERNL int nc_inq_varids_f | ( | int | ncid,
|  | int * | nvars,
|  | int * | fvarids
| ) |  |

Definition at line 159 of file fort-lib.c.

## nc_insert_array_compound_f()

EXTERNL int nc_insert_array_compound_f | ( | int | ncid,
|  | int | typeid,
|  | char * | name,
|  | size_t | offset,
|  | nc_type | field_typeid,
|  | int | ndims,
|  | int * | dim_sizesp
| ) |  |

Definition at line 216 of file fort-lib.c.

## nc_open_par_fortran()

EXTERNL int nc_open_par_fortran | ( | const char * | path,
|  | int | mode,
|  | int | comm,
|  | int | info,
|  | int * | ncidp
| ) |  |

## nc_set_chunk_cache_ints()

EXTERNL int nc_set_chunk_cache_ints | ( | int | size,
|  | int | nelems,
|  | int | preemption
| ) |  |

## nc_set_var_chunk_cache_ints()

EXTERNL int nc_set_var_chunk_cache_ints | ( | int | ncid,
|  | int | varid,
|  | int | size,
|  | int | nelems,
|  | int | preemption
| ) |  |

Return to the Main Unidata NetCDF page.